# @hypertheme-editor/chakra-ui-core

React components and hooks of [HyperTheme Editor](#hypertheme-editor).

This module contains all the building blocks necessary to create a **theme editor** that works with [Chakra UI](https://chakra-ui.com/).

**Don't use this package directly, instead use the [@hypertheme-editor/chakra-ui](https://www.npmjs.com/package/@hypertheme-editor/chakra-ui) package.**

Here's a list of the components and hooks provided by this module with a link to their documentation:

#### Components:

- [`ThemeEditorProvider`](https://hyperthe.me/documentation/components/ThemeEditorProvider)
- [`ThemeEditor`](https://hyperthe.me/documentation/components/ThemeEditor)
- [`ThemeEditorDrawer`](https://hyperthe.me/documentation/components/ThemeEditorDrawer)
- [`ThemeEditorDrawerHeader`](https://hyperthe.me/documentation/components/ThemeEditorDrawerHeader)
- [`ThemeEditorDrawerFooter`](https://hyperthe.me/documentation/components/ThemeEditorDrawerFooter)
- [`ThemeEditorRootPanel`](https://hyperthe.me/documentation/components/ThemeEditorRootPanel)
- [`ThemeEditorButton`](https://hyperthe.me/documentation/components/ThemeEditorButton)
- [`ColorModeToggle`](https://hyperthe.me/documentation/components/ColorModeToggle)
- [`ThemeIcon`](https://hyperthe.me/documentation/components/ThemeIcon)

#### Hooks:
- [`useThemeEditor`](https://hyperthe.me/documentation/hooks/useThemeEditor)

## HyperTheme Editor

![HyperTheme Editor screen shot](https://www.hyperthe.me/images/social-banner.jpg)

Powerful visual theme editor for your next Chakra UI project.

Learn more about it on the website: [`hyperthe.me`](https://hyperthe.me).

### Documentation

Read the HyperTheme Editor [documentation here](https://hyperthe.me/documentation).

## License

HyperTheme Editor is licensed under the [MIT License](https://github.com/Hyperting/hypertheme-editor/blob/main/LICENSE) by [Hyperting S.r.l.](https://hyperting.com).
