import React, { FC, ReactElement } from 'react';
import { DrawerProps } from '@chakra-ui/react';
import { IconType } from 'react-icons';
import { ThemeEditorDrawerHeaderProps } from './ThemeEditorDrawerHeader';
import { ThemeEditorDrawerFooterProps } from './ThemeEditorDrawerFooter';
export declare type ThemeEditorDrawerProps = Omit<DrawerProps, 'children' | 'isOpen' | 'onClose'> & {
    children?: ReactElement<{
        icon: IconType;
        title: string;
    } & Record<string, any>>[] | ReactElement<{
        icon: IconType;
        title: string;
    } & Record<string, any>>;
    hideUpgradeToPro?: boolean;
    hideCredits?: boolean;
    headerComponent?: React.ReactElement<ThemeEditorDrawerHeaderProps, React.JSXElementConstructor<ThemeEditorDrawerHeaderProps>>;
    footerComponent?: React.ReactElement<ThemeEditorDrawerFooterProps, React.JSXElementConstructor<ThemeEditorDrawerFooterProps>>;
    isOpen?: boolean;
    onClose?: () => void;
};
export declare const ThemeEditorDrawer: FC<ThemeEditorDrawerProps>;
